%define subrel	1

Name:		aegisub
Version:	3.2.2
Release:	%mkrel 1
Summary:	Advanced Subtitle Editor
Group:		Video/Editors and Converters
License:	BSD
URL:		http://www.aegisub.org/
Source0:	http://ftp.aegisub.org/pub/archives/releases/source/%{name}-%{version}.tar.xz

BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(ffms2)
BuildRequires:	pkgconfig(fftw3)
BuildRequires:	pkgconfig(fontconfig)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(hunspell)
BuildRequires:	pkgconfig(icu-io)
BuildRequires:	pkgconfig(libass)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(lua) >= 5.2
BuildRequires:	pkgconfig(portaudio-2.0)
BuildRequires:	boost-devel
BuildRequires:	freetype-devel
BuildRequires:	gettext-devel
BuildRequires:	intltool
BuildRequires:	wxgtk3.0-devel

%description
Aegisub is an advanced subtitle editor that assists in the creation of
subtitles, translations, and complex overlays using audio or video. Developed
by enthusiasts it builds on work-flows created and perfected through
professional, hobby, and everyday use.


%prep
%setup -q

%build
autoreconf -vfi
%configure2_5x \
		--without-oss \
		--without-openal \
		--with-player-audio=PulseAudio \
		--with-wx-config=wx-config-3.0
%make

%install
%makeinstall_std

%find_lang %{name}-32

%files -f %{name}-32.lang
%doc LICENCE automation/demos/ automation/v4-docs/
%{_bindir}/%{name}*
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg


%changelog
* Sun Aug 09 2015 daviddavid <daviddavid> 3.2.2-1.1.mga5
+ Revision: 862288
- rebuild for new fix of wxgtk built without --enable-utf8 option (mga#16560)

* Thu Dec 11 2014 daviddavid <daviddavid> 3.2.2-1.mga5
+ Revision: 802755
- new version: 3.2.2

* Sun Oct 19 2014 daviddavid <daviddavid> 3.2.1-1.mga5
+ Revision: 791892
- new version: 3.2.1

* Wed Oct 15 2014 umeabot <umeabot> 3.2.0-4.mga5
+ Revision: 750322
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.2.0-3.mga5
+ Revision: 677705
- Mageia 5 Mass Rebuild

* Wed Aug 20 2014 daviddavid <daviddavid> 3.2.0-2.mga5
+ Revision: 666026
- bump release

* Mon Aug 04 2014 daviddavid <daviddavid> 3.2.0-1.mga5
+ Revision: 659670
- switch to latest version of lua5.2 as it is now supported
- remove unneeded FIXME for correct assignment of rights of desktop file as it is now fixed upstream
- new version: 3.2.0

* Fri Apr 11 2014 daviddavid <daviddavid> 3.1.3-1.mga5
+ Revision: 613500
- remove unneeded BR
- new version: 3.1.3

* Mon Apr 07 2014 daviddavid <daviddavid> 3.1.2-1.mga5
+ Revision: 612680
- imported package aegisub


* Mon Apr 18 2011 Funda Wang <fwang@mandriva.org> 2.1.8-1mdv2011.0
+ Revision: 655831
- build target
- build with system ass
- cleanup old patches and file list
- fix linkage
- 2.1.8

* Thu Sep 10 2009 Thierry Vignaud <tv@mandriva.org> 2.1.6-0.2618.2mdv2010.0
+ Revision: 436629
- rebuild

* Sat Jan 03 2009 Adam Williamson <awilliamson@mandriva.org> 2.1.6-0.2618.1mdv2009.1
+ Revision: 324037
- import aegisub


